Reject a pending decision
POST
/api/v1/decisions/{decision_id}/reject
const url = 'https://api.ultimateteam.ai/api/v1/decisions/example/reject';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"approval_token":"example","rejection_reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/decisions/example/reject \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "approval_token": "example", "rejection_reason": "example" }'Rejects a pending decision with a required reason and emits a decision.rejected event.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”decision_id
required
Decision Id
The decision UUID to reject
string
The decision UUID to reject
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
DecisionRejectRequest
Request body for rejecting a decision.
Attributes: rejection_reason: Required reason explaining why the decision was rejected.
object
approval_token
required
Approval Token
string
rejection_reason
required
Rejection Reason
string
Examplegenerated
{ "approval_token": "example", "rejection_reason": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
DecisionActionResponse
Response for approve/reject decision actions.
Attributes: decision_id: UUID of the affected decision. status: New status of the decision. action: The action taken (‘approved’ or ‘rejected’). approved_by: User ID who performed the action. rejection_reason: Reason for rejection, if applicable. timestamp: When the action was performed.
object
Examplegenerated
{ "action": "example", "approved_by": "example", "decision_id": "example", "rejection_reason": "example", "status": "example", "timestamp": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}